#
# spec file for package ghc-cgi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name cgi

Name:           ghc-cgi
Version:        3001.3.0.1
Release:        2.4
Summary:        A library for writing CGI programs
Group:          System/Libraries

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-multipart-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-xhtml-devel
# End cabal-rpm deps

%description
This is a Haskell library for writing CGI programs.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)


%changelog
* Sun Apr 10 2016 mimi.vx@gmail.com
- update to 3001.3.0.1
  * Bumped doctest to version < 0.12
* Mon Mar  7 2016 mimi.vx@gmail.com
- update to 3001.3.0.0
- remove uselees _service
  * Cookie.hs: cookieExpires now has type `Maybe UTCTime` rather than
    `Maybe CalendarTime`
  * Protocol.hs: URL decoding functions no longer decode UTF-8 encoding
  * Functor and Applicative instance of CGIT no longer constrain Functor or
  Applicative parameter to be an instance of Monad
* Fri Jan 22 2016 mimi.vx@gmail.com
- update to 3001.2.2.3
  * CGI.hs haddock: Use web.archive.org link for CGI specification
* Mon Jul  6 2015 peter.trommler@ohm-hochschule.de
- initial checkin
